<?php
/**
 * Perforce Swarm
 *
 * @copyright   2013-2024 Perforce Software. All rights reserved.
 * @license     Please see LICENSE.txt in top-level readme folder of this distribution.
 * @version     2024.1/2576260
 */

namespace Users\View\Helper;

use Application\View\Helper\AbstractHelper;

class User extends AbstractHelper
{
    /**
     * Provides access to the current user from the view.
     */
    public function __invoke()
    {
        try {
            return $this->services->get('user');
        } catch (\Exception $e) {
            return new \Users\Model\User;
        }
    }
}
